Package org.apache.qpid.proton.codec

# Class TimestampType

java.lang.Object
org.apache.qpid.proton.codec.TimestampType

All Implemented Interfaces:
  `AMQPType<Date>`, `PrimitiveType<Date>`

public class TimestampType extends Object

## Method Summary

Modifier and Type
Method
Description
`void`
`fastWrite(EncoderImpl encoder, long timestamp)`
`Collection<org.apache.qpid.proton.codec.TimestampType.TimestampEncoding>`
`getAllEncodings()`
`org.apache.qpid.proton.codec.TimestampType.TimestampEncoding`
`getCanonicalEncoding()`
`org.apache.qpid.proton.codec.TimestampType.TimestampEncoding`
`getEncoding(Date val)`
`Class<Date>`
`getTypeClass()`
`void`
`write(long l)`
`final void`
`write(Date val)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getTypeClass

public Class<Date> getTypeClass()

### getEncoding

public org.apache.qpid.proton.codec.TimestampType.TimestampEncoding getEncoding(Date val)

### fastWrite

public void fastWrite(EncoderImpl encoder, long timestamp)

### getCanonicalEncoding

public org.apache.qpid.proton.codec.TimestampType.TimestampEncoding getCanonicalEncoding()

### getAllEncodings

public Collection<org.apache.qpid.proton.codec.TimestampType.TimestampEncoding> getAllEncodings()

### write

public void write(long l)

### write

public final void write(Date val)

Specified by:
  `write` in interface `AMQPType<T>`